Results 1 to 4 of 4

Thread: HELP! Needforspeed: Own the city patch needed

  
  1. #1
    jigzzzie is offline -Hacks Newbie
    Join Date
    Jan 2011
    Posts
    2
    Rep Power
    0

    Default HELP! Needforspeed: Own the city patch needed

    I need a patch that can run the game in PSP1000 with CFW 5.50 gen d3. Can someone could help me? Thanks.


  2. #2
    kamenrider's Avatar
    kamenrider is offline Senior Member -Hacks Titan
    Join Date
    Aug 2005
    Location
    UK
    Posts
    6,310
    Rep Power
    27

    Default

    Gen were notorious for breaking old games. I doubt u will find a patch for such an old game.

  3. #3
    jigzzzie is offline -Hacks Newbie
    Join Date
    Jan 2011
    Posts
    2
    Rep Power
    0

    Default

    Is that so? Thank you for the information sir. But what can you suggest for me..?Keep my existing CFW for future games or change it?

  4. #4
    kamenrider's Avatar
    kamenrider is offline Senior Member -Hacks Titan
    Join Date
    Aug 2005
    Location
    UK
    Posts
    6,310
    Rep Power
    27

    Default

    Try 5.00 m33-6 this should work with older games. For newer games u should install the Prometheus 4 add-on for 5.00 m33-6

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •